x003037_g_scriptId=003037

x003037_g_IdPuTong={}
x003037_g_IdPuTong[1]={800000}     --    刷的怪物

x003037_g_PuTongNum={}
x003037_g_PuTongNum[1]={2}     --   数量

x003037_g_ExistTime = 9000000

x003037_g_MonsterPosList={}     
x003037_g_MonsterPosList[1]={{203.41,46.23,0},{348.67,148.05,0},{210.14,339.84,0},{214.33,229.25,0},{203.41,46.23,0},{348.67,148.05,0},{210.14,339.84,0},{214.33,229.25,0}}	 
-- 上面的怪物坐标重复写两遍   方便随机不同的坐标

function x003037_OnActivityStart( scene,curTime,idx)	
	local PosNum = #x003037_g_MonsterPosList[1]/2
	local randPos = RandomMon(1, PosNum)	
	local Rcount = x003037_g_PuTongNum[1][1]-1
	local Lvl = GetWorldLvlByFestivalMonster(scene)
	print("刷怪世界等級")

	local AdaptLvl = math.floor(Lvl/10)
	print(AdaptLvl)
	SetSceneBossNum(scene, idx)
	for i = randPos, randPos+Rcount do
		local objId = CreateMonster(scene, x003037_g_IdPuTong[1][1]+AdaptLvl,x003037_g_MonsterPosList[1][i][3],x003037_g_MonsterPosList[1][i][1],x003037_g_MonsterPosList[1][i][2])
		--SetNpcCampByObjId(scene,objId,1)
		SetMonEndTime(scene, curTime, x003037_g_ExistTime, objId)
		LogMonster(scene,objId,x003037_g_IdPuTong[1][1]+AdaptLvl,x003037_g_MonsterPosList[1][i][3],x003037_g_MonsterPosList[1][i][1],x003037_g_MonsterPosList[1][i][2])
	
	end
end
